Mailinglist Archive: opensuse-factory (536 mails)

< Previous Next >
[opensuse-factory] Leap 15.0 Build 258.1 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&version=15.0&build=258.1&groupid=50
https://bugzilla.opensuse.org/buglist.cgi?product=openSUSE%20Distribution&query_format=advanced&resolution=---&version=Leap%2015.0

When you reply to discuss some issues, make sure to change the subject.
Please use the test plan at
https://docs.google.com/spreadsheets/d/1AGKijKpKiJCB616-bHVoNQuhWHpQLHPWCb3m1p6gXPc/edit#gid=168760829
to record your testing efforts and use bugzilla to report bugs.

Packages changed:
amarok
chromium (66.0.3359.139 -> 66.0.3359.170)
eventviews
gnome-settings-daemon
kauth
kcm_sddm
kcompletion
kdeclarative
kdepim-runtime
ksmtp
libqt5-qtwebengine
libzypp-plugin-appdata (1.0.1+git.20180327 -> 1.0.1+git.20180426)
patterns-base
plasma5-pa
sddm
systemd
yast2-trans (84.87.20180508.cec5a7a09 -> 84.87.20180514.157a0650d)

=== Details ===

==== amarok ====
Subpackages: amarok-lang

- Symlink service menu file to KF5 location so that it shows up
in current KDE file managers

==== chromium ====
Version update (66.0.3359.139 -> 66.0.3359.170)

- Chromium 66.0.3359.170 (bsc#1092923):
* Chain leading to sandbox escape:
CVE-2018-6121: Privilege Escalation in extensions
CVE-2018-6122: Type confusion in V8
* CVE-2018-6120: Heap buffer overflow in PDFium
* Various fixes from internal audits, fuzzing and other
initiatives

==== eventviews ====
Subpackages: eventviews-lang libKF5EventViews5

- Add 0001-Fix-crash-when-comparing-nodes-with-depth-of-1.patch to
fix a crash when parent todos are missing (boo#1093019)

==== gnome-settings-daemon ====
Subpackages: gnome-settings-daemon-lang

- Apply gnome-settings-daemon-more-power-button-actions.patch also
on Leap.

==== kauth ====
Subpackages: libKF5Auth5 libKF5Auth5-lang

- Removed setBadness() from spec file, since it is no longer needed.

==== kcm_sddm ====
Subpackages: kcm_sddm-lang

- Amend 0001-Replace-autologin-configuration-with-a-note-to-use-Y.patch
to improve the replacement message
- Add patch to not show duplicate "(Wayland)" prefixes:
* remove-wayland-suffix.patch

==== kcompletion ====
Subpackages: libKF5Completion5 libKF5Completion5-lang

- Add patch to fix KCompletionBox on wayland:
* 0001-Fix-KCompletionBox-on-wayland.patch

==== kdeclarative ====
Subpackages: kdeclarative-components libKF5CalendarEvents5 libKF5Declarative5
libKF5Declarative5-lang libKF5QuickAddons5

- Add patch to fix display of user avatars (kde#384107):
* 0001-KUserProxy-Adjust-to-accounts-service.patch

==== kdepim-runtime ====
Subpackages: kdepim-runtime-lang

- Add upstream patches:
* 0001-IMAP-Resource-handle-disconnection-before-initial-OK.patch
* Fix resource getting stuck (and thus no mail check) in case
of connnection errors
* 0002-IMAP-resource-fix-data-loss-on-connection-lost-depen.patch
* Fix data loss on connection lost

==== ksmtp ====
Subpackages: ksmtp-lang libKPimSMTP5

- 0001-KSMTP-Fix-sending-emails-where-a-line-starts-with-a-.patch
* Upstream patch to fix sending emails where a line starts
with a dot (kde#392049)

==== libqt5-qtwebengine ====

- Fix armv6 by removing unneeded additionnal RPM_OPT_FLAGS
- Add no-return-in-nonvoid-function.diff in order to fix boo#1087068.
- Changed license header back to original template
* LGPL-2.1-or-later was wrong
- Package license is LGPL-3.0-only, GPL-2.0-only, GPL-3.0-only
* incorporates 3rd party code (Chromium, WebKit, even some dating
back to KHTML), therefore no "with-Qt-Company-Qt-exception-1.1"
because those 3rd parties never granted them.
- Only automatically convert dictionaries on Leap 15 or higher,
%filetriggerin is not supported in Leap 42.3 which caused the
build to fail
- Enable spell checking:
* Ported script snippet from Fedora package by Kevin Kofler
* Converts available Hunspell dictionaries locally during installation
- Changed specfile header to reflect code coming from K. Kofler

==== libzypp-plugin-appdata ====
Version update (1.0.1+git.20180327 -> 1.0.1+git.20180426)

- Switch summary to a noun phrase.
- Update to version 1.0.1+git.20180426:
* systemd-service: we only need local filesystem, no network.
- Update to version 1.0.1+git.20180425:
* Rewrite InstallAppdata in python, having slightly better
control over the execution
* Add systemd service to resync the repodata cache (boo#1009745).
- Drop the post scriptlet attempting to fix boo#1009745: at the
time this script is executed on a fresh install, the repos are
not yet setup in the chroot, resulting in the zypper lr call to
fail and the AS data still not being initialzied.

==== patterns-base ====
Subpackages: patterns-base-32bit patterns-base-apparmor
patterns-base-apparmor_opt patterns-base-base patterns-base-basesystem
patterns-base-console patterns-base-enhanced_base
patterns-base-enhanced_base-32bit patterns-base-enhanced_base_opt
patterns-base-minimal_base patterns-base-minimal_base-32bit
patterns-base-sw_management patterns-base-transactional_base
patterns-base-update_test patterns-base-x11 patterns-base-x11_enhanced
patterns-base-x11_opt

- require distribution-release instead of openSUSE-release to avoid conflicts
when migrating to SLE (boo#1089031)

==== plasma5-pa ====
Subpackages: plasma5-pa-lang

- Recommend pulseaudio-module-gconf (boo#1092871)

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Add patch to not include sessions with NoDisplay=true in the list
(boo#1086614):
* 0001-Don-t-add-session-files-with-NoDisplay-true-to-Sessi.patch

==== systemd ====
Subpackages: libsystemd0 libudev1 libudev1-32bit systemd-32bit
systemd-bash-completion systemd-sysvinit udev

- Make sure /etc/machine-id has correct permissions (boo#1092269)
This should be only needed for those who keep a Beta/RC
installations.

==== yast2-trans ====
Version update (84.87.20180508.cec5a7a09 -> 84.87.20180514.157a0650d)
Subpackages: yast2-trans-ar yast2-trans-bg yast2-trans-bs yast2-trans-ca
yast2-trans-cs yast2-trans-da yast2-trans-de yast2-trans-el yast2-trans-en
yast2-trans-en_GB yast2-trans-en_US yast2-trans-eo yast2-trans-es
yast2-trans-et yast2-trans-fa yast2-trans-fi yast2-trans-fr yast2-trans-hu
yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-ko yast2-trans-lt
yast2-trans-nb yast2-trans-nl yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR
yast2-trans-ru yast2-trans-sk yast2-trans-sl yast2-trans-sv yast2-trans-uk
yast2-trans-zh_CN yast2-trans-zh_TW

- Update to version 84.87.20180514.157a0650d:
* Add initial sap-installation-wizard files
* Add sap-installation-wizard textdomain
* Added translation using Weblate (Dutch)
* Added translation using Weblate (German)
* Added translation using Weblate (Japanese)
* Added translation using Weblate (Portuguese (Brazil))
* Fixed string interpolation
* New POT for text domain 'autoinst'.
* New POT for text domain 'bootloader'.
* New POT for text domain 'control'.
* New POT for text domain 'installation'.
* New POT for text domain 'storage'.
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Czech)
* Translated using Weblate (Dutch)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Indonesian)
* Translated using Weblate (Italian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Korean)
* Translated using Weblate (Lithuanian)
* Translated using Weblate (Polish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Slovak)
* Update sap-installation-wizard po files
* Update sap-installation-wizard pot file


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages